/*
 * header file for gettydefs (and termios), ripped out of tio.h, from
 * mgetty+sendfax 0.20
 */
#ifndef _GETTYDEFS_D
#define _GETTYDEFS_D

#include <termios.h>

#define TIONCC	NCCS

typedef struct {
    char *tag;
    struct termios before;
    struct termios after;
    char *prompt;
    char *nexttag;
} GDE;

extern int gettycheck;		/* flag to check gettydefs table */
extern int gettyerrors;		/* # errors encountered during gettycheck */

extern int loadgettydefs (char *s);
extern void dumpgettydefs (char *file);
extern GDE *getgettydef (char *s);

#endif/*_GETTYDEFS_D*/
